### Method

# Json Path match

#### Declaration [src]

    JsonNode*
    json_path_match (
      JsonPath* path,
      JsonNode* root
    )

#### Description [src]

Matches the JSON tree pointed by `root` using the expression compiled into the `JsonPath`.

The nodes matching the expression will be copied into an array.

Available since: | 0.14

#### Parameters

`root` | `JsonNode`
| The root node of the JSON data to match.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JsonNode`
| A newly-created node of type `JSON_NODE_ARRAY` containing the array of matching nodes.
| The caller of the method takes ownership of the data, and is responsible for freeing it.